package cn.ey.biz.module.external.api.fd.service.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ExceptionEnum {
	
	SAVE_EXCEPTION(0, "新增异常"),
	UPDATE_EXCEPTION(1, "修改异常"),
	SAVE_OR_UPDATE_EXCEPTION(2, "新增或修改异常"),
	QUERY_EXCEPTION(3, "查询异常"),
	DELETE_EXCEPTION(4, "删除异常"),
	CURRENCY_QUERY_EXCEPTION(5, "未查询到币种id"),
	GCRATE_QUERY_EXCEPTION(6,"gcrate信息查询异常"),
	GDSRATE_QUERY_EXCEPTION(7,"gdsrate信息查询异常"),
	PARAMETER_NULL_EXCEPTION(8, "参数不能为null");
	private Integer exceptionCode;
	private String exceptionDescribe;

}
